ChunkerCrossValidatorTool (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.cmdline.chunker

## Class ChunkerCrossValidatorTool

- java.lang.Object
- - opennlp.tools.cmdline.CmdLineTool
  - - opennlp.tools.cmdline.TypedCmdLineTool<T>
    - - opennlp.tools.cmdline.AbstractTypedParamTool<T,P>
      - - opennlp.tools.cmdline.AbstractEvaluatorTool<T,P>
        - - opennlp.tools.cmdline.AbstractTrainerTool<T,P>
          - - opennlp.tools.cmdline.AbstractCrossValidatorTool<ChunkSample,opennlp.tools.cmdline.chunker.ChunkerCrossValidatorTool.CVToolParams>
            - - opennlp.tools.cmdline.chunker.ChunkerCrossValidatorTool

-     public final class ChunkerCrossValidatorTool
      extends opennlp.tools.cmdline.AbstractCrossValidatorTool<ChunkSample,opennlp.tools.cmdline.chunker.ChunkerCrossValidatorTool.CVToolParams>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChunkerCrossValidatorTool()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getShortDescription()` Retrieves a short description of what the tool does.
    `void` | `run(String format, String[] args)` Executes the tool with the given parameters.

    - ### Methods inherited from class opennlp.tools.cmdline.AbstractTypedParamTool

      `getHelp`

    - ### Methods inherited from class opennlp.tools.cmdline.TypedCmdLineTool

      `getHelp`

    - ### Methods inherited from class opennlp.tools.cmdline.CmdLineTool

      `getName, hasParams`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChunkerCrossValidatorTool

          public ChunkerCrossValidatorTool()

  - ### Method Detail

    - #### getShortDescription

          public String getShortDescription()

      Description copied from class: `opennlp.tools.cmdline.CmdLineTool`
      Retrieves a short description of what the tool does.
      Overrides:
        `getShortDescription` in class `opennlp.tools.cmdline.CmdLineTool`
      Returns:
        a short description of what the tool does

    - #### run

          public void run(String format,
                          String[] args)

      Description copied from class: `opennlp.tools.cmdline.TypedCmdLineTool`
      Executes the tool with the given parameters.
      Overrides:
        `run` in class `opennlp.tools.cmdline.AbstractEvaluatorTool<ChunkSample,opennlp.tools.cmdline.chunker.ChunkerCrossValidatorTool.CVToolParams>`
      Parameters:
        `format` - format to work with
        `args` - command line arguments

Copyright © 2026 The Apache Software Foundation. All rights reserved.